## CamelStoreSettings CamelStoreSettings |

## Functions

gboolean | camel_store_settings_get_filter_inbox ()
void | camel_store_settings_set_filter_inbox ()

## Properties

gboolean | filter-inbox | Read / Write / Construct

## Types and Values

struct | CamelStoreSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ├── CamelOfflineSettings
                ├── CamelLocalSettings
                ╰── CamelPOP3Settings

## Description

## Functions

### camel_store_settings_get_filter_inbox ()

    gboolean
    camel_store_settings_get_filter_inbox (CamelStoreSettings *settings);

Returns whether to automatically apply filters to newly arrived messages in the store's Inbox folder (assuming it has an Inbox folder).

#### Parameters

settings | a CamelStoreSettings |

#### Returns

whether to filter new messages in Inbox

Since: 3.2

### camel_store_settings_set_filter_inbox ()

    void
    camel_store_settings_set_filter_inbox (CamelStoreSettings *settings,
                                           gboolean filter_inbox);

Sets whether to automatically apply filters to newly arrived messages in the store's Inbox folder (assuming it has an Inbox folder).

#### Parameters

settings | a CamelStoreSettings |
filter_inbox | whether to filter new messages in Inbox |

Since: 3.2

## Types and Values

### struct CamelStoreSettings

    struct CamelStoreSettings;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.2

## Property Details

### The `“filter-inbox”` property

      “filter-inbox”             gboolean

Whether to filter new messages in Inbox.

Flags: Read / Write / Construct

Default value: TRUE